Create conversation

POST
/v1/conversations

Create a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.

Authorization

ApiKeyAuth conversation.reply
headerAuthorization<token>

Scope: conversation.reply

Request Body

The conversation to create

application/json
  1. body
requesterId*string
Formatuuid
direction*string

values: [Inbound, Outbound]

contactEndpointId*string
queueId*string
Formatuuid

Response Body

The id of the created conversation

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/v1/conversations' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "requesterId": "9c2a2cce-699f-4a72-89d9-fda5bc8dec8b",  "emailIntegrationId": "my-integration@email.dixa.io",  "subject": "order #123",  "message": {    "content": {      "value": "My order hasn'\''t shipped",      "_type": "Text"    },    "attachments": [],    "_type": "Inbound"  },  "language": "en",  "_type": "Email"}'
{
"data": {
"id": 100
}
}